%global realname riak_dt
%global upstream basho
#
# This package contains only arch-independent data but install it into
# arch-dependent directory thus making this package arch-dependent. In order to
# suppress empty *-debuginfo generation we have to explicitly order
# debuginfo-generator to skip trying to build *-debuiginfo for that package.
#
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	2.1.2
Release:	1%{?dist}
Summary:	Convergent replicated data types in Erlang
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
A set of state based CRDTs implemented in Erlang.


%prep
%setup -q -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# Some tests requires a proprietary library - QuickCheck
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Mon May  9 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-1
- Initial package
